## hamonikr-ssh 6.4.6

=== po/Makefile ===
# Makefile for Ásbrú Connection Manager translations

DOMAIN = asbru-cm
POTFILE = $(DOMAIN).pot
POFILES = ko.po
MOFILES = $(POFILES:.po=.mo)
LANGUAGES = ko

# Directories
SRCDIR = ..
LOCALEDIR = .

# Tools
XGETTEXT = xgettext
MSGMERGE = msgmerge
MSGFMT = msgfmt

.PHONY: all clean update-po extract-pot install

all: $(MOFILES)

# Extract translatable strings from source files
extract-pot:
	@echo "Extracting translatable strings..."
	@find $(SRCDIR)/lib -name "*.pm" > .tmp_files
	@find $(SRCDIR) -name "asbru-cm" >> .tmp_files
	$(XGETTEXT) --from-code=UTF-8 \
		--language=Perl \
		--keyword=__t \
		--keyword=__i18n \
		--keyword=__ni18n:1,2 \
		--package-name="$(DOMAIN)" \
		--package-version="6.4.0" \
		--msgid-bugs-address="https://github.com/asbru-cm/asbru-cm/issues" \
		--copyright-holder="Ásbrú Connection Manager team" \
		--output="$(POTFILE)" \
		--files-from=.tmp_files
	$(XGETTEXT) --from-code=UTF-8 \
		--language=Glade \
		--join-existing \
		--output="$(POTFILE)" \
		$(SRCDIR)/res/asbru.glade
	@rm -f .tmp_files
	@echo "POT file updated: $(POTFILE)"

# Update existing PO files with new POT
update-po: extract-pot
	@for po in $(POFILES); do \
		echo "Updating $$po..."; \
		$(MSGMERGE) --update $$po $(POTFILE); \
	done

# Compile PO files to MO files
%.mo: %.po
	@echo "Compiling $< to $@..."
	$(MSGFMT) $< -o $@

# Install MO files to locale directories
install: $(MOFILES)
	@for lang in $(LANGUAGES); do \
		mkdir -p $$lang/LC_MESSAGES; \
		mkdir -p $${lang}_*.UTF-8/LC_MESSAGES 2>/dev/null || true; \
		cp $$lang.mo $$lang/LC_MESSAGES/$(DOMAIN).mo; \
		for locale_dir in $${lang}_*.UTF-8; do \
			if [ -d "$$locale_dir" ]; then \
				cp $$lang.mo $$locale_dir/LC_MESSAGES/$(DOMAIN).mo; \
			fi; \
		done; \
		echo "Installed $$lang.mo"; \
	done

clean:
	rm -f $(MOFILES)
	rm -f .tmp_files
	rm -rf */LC_MESSAGES

help:
	@echo "Available targets:"
	@echo "  all         - Build all MO files"
	@echo "  extract-pot - Extract translatable strings to POT file"
	@echo "  update-po   - Update PO files with new strings from source"
	@echo "  install     - Install MO files to locale directories"
	@echo "  clean       - Remove generated files"

=== deb/debian/changelog ===
asbru-cm (6.4.0-2+hamonikr2) paektu; urgency=medium

  [Kevin Kim]
  * Release for HamoniKR paektu

 -- HamoniKR <pkg@hamonikr.org>  Mon, 29 Jul 2024 15:18:59 +0900

asbru-cm (6.4.0-2+hamonikr1) stable; urgency=medium

  * Release for Ubuntu 24.04
   - Change default font as D2Coding nerd

 -- HamoniKR <pkg@hamonikr.org>  Mon, 01 Jul 2024 12:37:01 +0900

asbru-cm (6.4.0-1+hamonikr1) stable; urgency=medium

  * Release for Ubuntu 22.04
   - Applied latest Upstream

 -- HamoniKR <pkg@hamonikr.org>  Thu, 07 Sep 2023 10:23:27 +0900

asbru-cm (6.4.0-1) stable; urgency=medium

  * Upstream 6.4.0

 -- Ásbrú Project Team <contact@asbru-cm.net>  Sun, 13 Nov 2022 22:00:00 +0100

asbru-cm (6.3.3-1) stable; urgency=medium

  * Upstream 6.3.3

 -- Ásbrú Project Team <contact@asbru-cm.net>  Sat, 21 May 2022 10:00:00 +0100

asbru-cm (6.3.2-1) stable; urgency=medium

  * Upstream 6.3.2

 -- Ásbrú Project Team <contact@asbru-cm.net>  Sat, 27 Feb 2021 10:00:00 +0100

asbru-cm (6.3.1-1) stable; urgency=medium

  * Upstream 6.3.1

 -- Ásbrú Project Team <contact@asbru-cm.net>  Mon, 22 Feb 2021 23:00:00 +0100

asbru-cm (6.3.0-1) stable; urgency=medium

  * Upstream 6.3.0

 -- Ásbrú Project Team <contact@asbru-cm.net>  Tue, 16 Feb 2021 15:00:00 +0100

asbru-cm (6.2.2-1) stable; urgency=medium

  * Upstream 6.2.2 release
  * Moved repositories from Packagecloud to Cloudsmith

 -- Ásbrú Project Team <contact@asbru-cm.net>  Sat, 07 Nov 2020 12:00:00 +0100

asbru-cm (6.2.1-1) stable; urgency=medium

  * Upstream 6.2.1 release

 -- Ásbrú Project Team <contact@asbru-cm.net>  Sat, 06 Jun 2020 21:00:00 +0200

asbru-cm (6.2.0-1) stable; urgency=medium

  * Upstream 6.2.0 release

 -- Ásbrú Project Team <contact@asbru-cm.net> Fri, 15 May 2020 16:00:00 +0200

asbru-cm (6.1.3-1) stable; urgency=medium

  * Upstream 6.1.3 release

 -- Ásbrú Project Team <contact@asbru-cm.net> Tue, 28 Apr 2020 11:00:00 +0200

asbru-cm (6.1.2-1) stable; urgency=medium

  * Upstream 6.1.2 release

 -- Ásbrú Project Team <contact@asbru-cm.net> Sun, 12 Apr 2020 20:00:00 +0200

asbru-cm (6.1.0-1) stable; urgency=medium

  * Upstream 6.1.0 release

 -- Ásbrú Project Team <contact@asbru-cm.net> Fri, 27 Mar 2020 09:00:00 +0200

asbru-cm (6.1.0rc2-1) stable; urgency=medium

  * Upstream 6.1.0rc2 release

 -- Ásbrú Project Team <contact@asbru-cm.net> Sat, 14 Mar 2020 09:00:00 +0200

asbru-cm (6.1.0rc1-1) stable; urgency=medium

  * Upstream 6.1.0rc1 release

 -- Ásbrú Project Team <contact@asbru-cm.net> Sun, 01 Mar 2020 11:23:00 +0200

asbru-cm (6.0.4-1) stable; urgency=medium

  * Upstream 6.0.4 release

 -- Ásbrú Project Team <contact@asbru-cm.net> Tue, 04 Feb 2020 09:00:00 +0200

asbru-cm (6.0.3-1) stable; urgency=medium

  * Upstream 6.0.3 release

 -- Ásbrú Project Team <contact@asbru-cm.net> Fri, 17 Jan 2020 11:00:00 +0200

asbru-cm (6.0.2-1) stable; urgency=medium

  * Upstream 6.0.2 release

 -- Ásbrú Project Team <contact@asbru-cm.net> Sat, 11 Jan 2020 11:00:00 +0200

asbru-cm (6.0.1-1) stable; urgency=medium

  * Upstream 6.0.1 release

 -- Ásbrú Project Team <contact@asbru-cm.net> Sat, 04 Jan 2020 10:51:00 +0200

asbru-cm (6.0.0-1) stable; urgency=medium

  * Upstream 6.0.0 release

 -- Ásbrú Project Team <contact@asbru-cm.net> Thu, 02 Jan 2020 18:49:00 +0200

asbru-cm (5.2.1-1) stable; urgency=medium

  * Upstream 5.2.1 release

 -- Ásbrú Project Team <contact@asbru-cm.net> Tue, 15 Oct 2019 13:56:29 +0200

asbru-cm (5.2.0-1) stable; urgency=medium

  * Upstream 5.2.0 release

 -- Ásbrú Project Team <contact@asbru-cm.net> Fri, 19 Apr 2019 13:56:29 +0200

asbru-cm (5.1.0-1) stable; urgency=medium

  * Upstream 5.1.0 release

 -- Ásbrú Project Team <contact@asbru-cm.net> Mon, 23 Jul 2018 20:56:29 +0100

asbru-cm (5.0.0-1) stable; urgency=medium

  * Upstream 5.0.0 release

 -- Klaas tammling <klaas@tammling.hamburg> Fri, 29 Dec 2017 10:55:29 +0100

asbru-cm (5.0.0~rc4-1) unstable; urgency=medium

  * Upstream RC4 release

 -- Klaas Tammling <klaas@tammling.hamburg>  Sun, 19 Nov 2017 19:10:29 +0100

asbru-cm (5.0.0~rc3-3) unstable; urgency=medium

  * Installing the .desktop file now
  * Installing a symlink to /usr/bin/asbru

 -- Klaas Tammling <klaas@tammling.hamburg>  Sat, 18 Nov 2017 11:44:00 +0100

asbru-cm (5.0.0~rc3-2) unstable; urgency=medium

  * Added dependency for libcanberra-gtk-module

 -- Klaas Tammling <klaas@tammling.hamburg>  Wed, 01 Nov 2017 18:27:13 +0100

asbru-cm (5.0.0~rc3-1) unstable; urgency=medium

  * Upstream release 5.0.0-RC3

 -- Klaas Tammling <klaas@tammling.hamburg>  Tue, 31 Oct 2017 09:50:05 +0100

asbru-cm (5.0.0~rc2-2) unstable; urgency=medium

  * New dependency for libgnome2-vte-perl added

 -- Klaas Tammling <ktammling@localhost.localdomain>  Sun, 01 Oct 2017 10:11:33 +0200

asbru-cm (5.0.0~rc2-1) unstable; urgency=medium

  * New icon
  * Correcting some scripts and versioning.
  * Added dependencies needed to run Asbru

 -- Klaas Tammling <ktammling@localhost.localdomain>  Thu, 28 Sep 2017 17:58:42 +0200

asbru-cm (5.0.0-rc1-1) unstable; urgency=medium

  * Initial release

 -- Klaas Tammling <klaas@tammling.hamburg>  Sun, 17 Sep 2017 12:19:30 +0200

=== debian/changelog ===
hamonikr-ssh (6.4.6) sejong; urgency=medium

  * Release for HamoniKR Sejong

 -- HamoniKR <pkg@hamonikr.org>  Fri, 12 Dec 2025 23:22:22 +0900

hamonikr-ssh (6.4.5) sejong; urgency=medium

  * Add FileZilla integration for SFTP and SSH connections
  * Add context menu option "Open with FileZilla" for SSH/SFTP connections
  * Add filezilla to recommended packages in debian/control
  * Fix uninitialized variable warning in PACKeyBindings.pm
  * Add Korean translation for FileZilla integration

 -- HamoniKR <pkg@hamonikr.org>  Mon, 09 Dec 2024 14:30:00 +0900

hamonikr-ssh (6.4.4) sejong; urgency=medium

  * Release for HamoniKR Sejong

 -- HamoniKR <pkg@hamonikr.org>  Thu, 07 Aug 2025 15:19:46 +0900

hamonikr-ssh (6.4.3) sejong; urgency=medium

  [Kevin Kim]
  * Release for HamoniKR Sejong

 -- HamoniKR <pkg@hamonikr.org>  Mon, 04 Aug 2025 19:23:41 +0900

hamonikr-ssh (6.4.0-2+hamonikr7) sejong; urgency=medium

  [Kevin Kim]
  * Release for HamoniKR Sejong

 -- HamoniKR <pkg@hamonikr.org>  Mon, 04 Aug 2025 17:23:41 +0900

hamonikr-ssh (6.4.0-2+hamonikr6) paektu; urgency=medium

  [Kevin Kim]
  * Update homepage to https://hamonikr.org
  * Update maintainer to HamoniKR
  * Update VCS information to HamoniKR repository

 -- HamoniKR <pkg@hamonikr.org>  Fri, 03 Jan 2025 11:00:00 +0900

hamonikr-ssh (6.4.0-2+hamonikr5) paektu; urgency=medium

  [Kevin Kim]
  * Rename package from asbru-cm to hamonikr-ssh
  * Add hamonikr-ssh symlink to asbru-cm executable

 -- HamoniKR <pkg@hamonikr.org>  Fri, 03 Jan 2025 10:00:00 +0900

asbru-cm (6.4.0-2+hamonikr4) paektu; urgency=medium

  [Kevin Kim]
  * Change default font to MesloLGS NF 9

 -- HamoniKR <pkg@hamonikr.org>  Thu, 15 Aug 2024 00:22:21 +0900

asbru-cm (6.4.0-2+hamonikr3) paektu; urgency=medium

  [Kevin Kim]
  * Release for HamoniKR paektu

 -- HamoniKR <pkg@hamonikr.org>  Mon, 29 Jul 2024 15:18:59 +0900

asbru-cm (6.4.0-2+hamonikr2) stable; urgency=medium

  * Release for bookworm arm64
   - No Change

 -- HamoniKR <pkg@hamonikr.org>  Fri, 12 Jul 2024 02:33:17 +0900

=== dist/deb/build/debian/changelog ===
asbru-cm (6.4.0-1+hamonikr2) paektu; urgency=medium

  [Kevin Kim]
  * Release for HamoniKR paektu

 -- HamoniKR <pkg@hamonikr.org>  Mon, 29 Jul 2024 15:18:59 +0900

=== dist/deb/debian/changelog ===
asbru-cm (6.4.0-1+hamonikr3) paektu; urgency=medium

  [Kevin Kim]
  * Changed default font and node text color
   - unprotected color mean text on node list

 -- HamoniKR <pkg@hamonikr.org>  Sun, 11 Aug 2024 08:19:10 +0900

=== deb/debian/control ===
Source: asbru-cm
Section: networking
Priority: optional
Maintainer: Ásbrú Project Team <contact@asbru-cm.net>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.8
Homepage: https://www.asbru-cm.net
Vcs-Git: https://github.com/asbru-cm/asbru-cm.git
Vcs-Browser: https://github.com/asbru-cm/asbru-cm.git

Package: asbru-cm
Architecture: all
Depends: perl, libvte-2.91-0, libcairo-perl, libglib-perl, libpango-perl, libsocket6-perl, libexpect-perl, libyaml-perl, libcrypt-cbc-perl, libcrypt-blowfish-perl, libgtk3-perl, libnet-arp-perl, libossp-uuid-perl, openssh-client, libcrypt-rijndael-perl, libxml-parser-perl, libcanberra-gtk-module, dbus-x11, libgtk3-simplelist-perl, gir1.2-wnck-3.0, gir1.2-vte-2.91, ncat | nmap
Recommends: keepassxc
Suggests: telnet, ftp, freerdp-x11 | rdesktop, tigervnc-viewer | xtightvncviewer, mosh, cu | remote-tty, libx11-guitest-perl
Description: A free and open-source connection manager
 SSH Client for HamoniKR
 .
 This Program is a user interface that helps organizing
 remote terminal sessions and automating repetitive tasks.

=== debian/control ===
Source: hamonikr-ssh
Section: networking
Priority: optional
Maintainer: HamoniKR <pkg@hamonikr.org>
Build-Depends: debhelper (>= 9), gettext
Standards-Version: 3.9.8
Homepage: https://hamonikr.org
Vcs-Git: https://github.com/hamonikr/hamonikr-ssh-client.git
Vcs-Browser: https://github.com/hamonikr/hamonikr-ssh-client

Package: hamonikr-ssh
Architecture: all
Depends: perl, libvte-2.91-0, libcairo-perl, libglib-perl, libpango-perl, libsocket6-perl, libexpect-perl, libyaml-perl, libcrypt-cbc-perl, libcrypt-blowfish-perl, libgtk3-perl, libnet-arp-perl, libossp-uuid-perl, openssh-client, libcrypt-rijndael-perl, libxml-parser-perl, libcanberra-gtk-module, dbus-x11, libgtk3-simplelist-perl, gir1.2-wnck-3.0, gir1.2-vte-2.91, ncat | nmap
Conflicts: asbru-cm
Replaces: asbru-cm
Provides: asbru-cm
Recommends: keepassxc, filezilla
Suggests: telnet, ftp, freerdp-x11 | rdesktop, tigervnc-viewer | xtightvncviewer, mosh, cu | remote-tty, libx11-guitest-perl
Description: SSH Connection Manager for HamoniKR
 HamoniKR SSH Client - A free and open-source connection manager
 .
 This Program is a user interface that helps organizing
 remote terminal sessions and automating repetitive tasks.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@

# Build translations
override_dh_auto_build:
	# Build translation files
	cd po && $(MAKE) all

# Install translations to system locale directories
override_dh_auto_install:
	dh_auto_install
	# Install translation files to system locale directories
	for lang in ko; do \
		mkdir -p debian/hamonikr-ssh/usr/share/locale/$$lang/LC_MESSAGES; \
		install -m 644 po/$$lang.mo debian/hamonikr-ssh/usr/share/locale/$$lang/LC_MESSAGES/asbru-cm.mo; \
	done

# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- #	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)
